#
# spec file for package busybox (Version 1.16.1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           busybox
BuildRequires:  dietlibc
Url:            http://www.busybox.net/
Version:        1.16.1
Release:        2.2
Summary:        The Swiss Army Knife of Embedded Linux
License:        GPL v2 or later
Group:          System/Base
AutoReqProv:    on
Source:         http://busybox.net/downloads/%{name}-%{version}.tar.bz2
Source2:        %{name}.SuSE.config
Patch100:       %{name}.install.patch
Patch101:	%{name}-%{version}-udhcp-services.patch
Patch200:	busybox-1.16.1-ash.patch
PAtch201:	busybox-1.16.1-cpio.patch
Patch202:	busybox-1.16.1-dhcpd.patch
Patch203:	busybox-1.16.1-dnsd.patch
Patch204:	busybox-1.16.1-hush.patch
Patch205:	busybox-1.16.1-hwclock.patch
Patch206:	busybox-1.16.1-indexcgi.patch
Patch207:	busybox-1.16.1-sed.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
BusyBox combines tiny versions of many common UNIX utilities into a
small single executable. It provides minimalist replacements for most
of the utilities usually found in fileutils, shellutils, findutils,
textutils, grep, gzip, tar, and more. BusyBox provides a fairly
complete POSIX environment for any small or embedded system. The
utilities in BusyBox generally have fewer options than their
full-featured GNU cousins. The options that are included provide the
expected functionality and behave very much like their GNU
counterparts.



Authors:
--------
    Erik B. Andersen <andersee@debian.org>

%prep
%setup -q -n %{name}-%{version}
%patch100 -p1
%patch101
%patch200 -p1
%patch201 -p1
%patch202 -p1
%patch203 -p1
%patch204 -p1
%patch205 -p1
%patch206 -p1
%patch207 -p1

%build
cp -avL %{S:2} .config
find -name CVS | xargs rm -rf
find -name .svn | xargs rm -rf
export VERBOSE=-v
export BUILD_VERBOSE=2
make -e oldconfig
make -e %{?jobs:-j%jobs}
make -e doc busybox.links %{?jobs:-j%jobs}

%install
find -name ".cvsignore" -exec rm {} \;
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/share/busybox
install busybox.links $RPM_BUILD_ROOT/usr/share/busybox
install applets/install.sh $RPM_BUILD_ROOT/usr/bin/busybox.install
install busybox $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT%_mandir/man1
install -m 644 docs/BusyBox.1 $RPM_BUILD_ROOT%_mandir/man1

%files
%defattr(-,root,root)
%doc docs/mdev.txt
%doc %{_mandir}/man1/BusyBox.1.gz
/usr/bin/busybox
/usr/bin/busybox.install
%dir /usr/share/busybox
%config /usr/share/busybox/busybox.links

%changelog
* Fri Apr 02 2010 Carsten Schoene <cs@linux-administrator.com> - 1.16.1-1
- update to busybox release 1.16.1

* Sun Mar 28 2010 Carsten Schoene <cs@linux-administrator.com> - 1.16-0-2
- added more bugfix patches

* Sun Feb 21 2010 Carsten Schoene <cs@linux-administrator.com> - 1.16.0-1
- update to busybox release 1.16.0
- added bugfix patches for 1.16.0 release

* Sat Dec 26 2009 Carsten Schoene <cs@linux-administrator.com> - 1.15.3-1
- update to busybox release 1.15.3

* Sat Dec 05 2009 Carsten Schoene <cs@linux-administrator.com> - 1.15.2-1
- update to busybox release 1.15.2
- added bugfix patches for 1.15.2 release

* Sun Aug 02 2009 Carsten Schoene <cs@linux-administrator.com> - 1.14.2-1
- update to busybox release 1.14.2
- added bugfix patches for 1.14.2 release
- reworked udhcp services patch

* Wed Sep 24 2008 Carsten Schoene <cs@linux-administrator.com>
- added bugfix patches to 1.12.0 release
* Sat Sep 06 2008 Carsten Schoene <cs@linux-administrator.com>
- update to 1.12.0
* Sun Jul 06 2008 Carsten Schoene <cs@linux-administrator.com>
- update to 1.11.0
 - adapted dmesg patch
 - added udhcp services patch
* Thu Jan 17 2008 sassmann@suse.de
- update to 1.8.2
  see http://www.busybox.net/ for full changelog
- added bugfixes
  * busybox-1.8.2-arping.patch
  * busybox-1.8.2-static
  * busybox-1.8.2-vi.patch
* Fri Nov 16 2007 olh@suse.de
- update to 1.8.1
  see http://www.busybox.net/ for full changelog
* Sun Jul 15 2007 olh@suse.de
- update to 1.6.1
  see http://www.busybox.net/ for full changelog
* Fri May 11 2007 olh@suse.de
- increase ash cmdline history size
  user kernel ringbuffer size for dmesg
* Mon May 07 2007 olh@suse.de
- gcc42 rejects out of bounds array access
* Sat Apr 28 2007 olh@suse.de
- update to 1.4.2
  reduces binary size after e2fsprogs removal
* Wed Dec 06 2006 trenn@suse.de
- move to 1.2.2 and enable nearly everything.
  Most important (awk,less,vi and much more)
  binary on i386 now has 732k
* Wed Aug 09 2006 ihno@suse.de
- update to busybox 1.2.1 final
  Bugfix release. Bugs fixed:
  lash: "var=value" works without export
  tar:  can extract git generated tarballs
  adduser: /etc/group is updated
  modprobe: look for modules.conf at the right place for 2.6 kernels
  all setuid and getgid calls are check return values in case
  somebody using per-process resource limits that prevent a user
  from having too many processes
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 ihno@suse.de
- Update to busybox 1.1.0 final
* Wed Jan 11 2006 ihno@suse.de
- update to busybox 1.1.0-pre1
* Wed Nov 16 2005 dmueller@suse.de
- build against dietlibc unconditionally
* Thu May 12 2005 uli@suse.de
- use dietlibc on ARM
- uclibc config file needs to be fixed
* Sat Apr 02 2005 mmj@suse.de
- Correct function declaration
* Mon Jan 24 2005 nashif@suse.de
- Update to 1.00 final
* Tue Aug 17 2004 nashif@suse.de
- Update to 1.00-rc3
* Thu Aug 05 2004 nashif@suse.de
- Update to 1.00-rc2
* Wed Jul 21 2004 nashif@suse.de
- Update to 1.00-rc1
* Tue May 11 2004 nashif@suse.de
- Bug #39461 - Fixes netlink vulnerability
* Tue Apr 27 2004 mmj@suse.de
- Fix strict aliasing
* Mon Mar 01 2004 nashif@suse.de
- Update to 1.0 pre 8
* Wed Feb 11 2004 ro@suse.de
- hack to build it on amd64
* Tue Feb 10 2004 schwab@suse.de
- Fix building on ia64.
* Wed Feb 04 2004 kukuk@suse.de
- Remove wrong dietlibc requires
* Mon Feb 02 2004 hare@suse.de
- Fixed spec file to build on all archs.
* Fri Jan 30 2004 hare@suse.de
- Update to 1.00-pre5
- Patched dietlibc support to use a menuconfig option.
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Wed Dec 10 2003 uli@suse.de
- build with dietlibc where available
* Mon Jun 02 2003 nashif@suse.de
- Set Autoreqprov:  on
* Thu May 29 2003 nashif@suse.de
- Updated with latest stable release incl. patches.
* Sat May 17 2003 nashif@suse.de
- Removed CVS files
* Sat Nov 02 2002 nashif@suse.de
- Update to version 0.60.5
- Unique patch names
* Mon Jun 10 2002 nashif@suse.de
- Update to version 0.60.3
* Mon Nov 26 2001 nashif@suse.de
- Update to version 0.60.2
- Major Changes:
  * msh was reworked
  * reworked hostname
  * Various bugfixes
* Fri Aug 24 2001 nashif@suse.de
- Update to version 0.60.1
- This is a relatively minor bug fixing release which fixes bugs
  in the following applets, among others: msh, sed, route, syslogd,
  ifconfig, lash
- Rewrite of tftp
* Sat Aug 04 2001 nashif@suse.de
- Update to version 0.60.0
* Fri Jul 13 2001 nashif@suse.de
- Update to version 0.52
* Wed Apr 11 2001 nashif@suse.de
- Update to version 0.51
* Fri Feb 09 2001 nashif@suse.de
- Fixed sync.c to compile
* Mon Feb 05 2001 nashif@suse.de
- Update to version 0.49
* Wed Dec 20 2000 uli@suse.de
- disabled insmod for all archs except IA32, ARM and SH
* Tue Dec 19 2000 nashif@suse.de
- Update to 0.48 (Fixes many bugs)
* Mon Nov 27 2000 nashif@suse.de
- Fixed pathes in install script
* Tue Nov 07 2000 nashif@suse.de
- Added EM_486 and OPEN_MAX fixes
* Wed Sep 27 2000 nashif@suse.de
- Update to 0.47
- Fix nfsmount.c
* Wed Aug 30 2000 nashif@suse.de
- Fix for axp
* Mon Aug 28 2000 nashif@suse.de
- Update to version 0.46
* Thu Jul 06 2000 nashif@suse.de
- Fix install script (Bug #3195)
* Tue May 23 2000 nashif@suse.de
- Initial Release (Version 0.43)
